Name: ggobi
Version: 2.1.8
Release: alt1

Summary: data visualization system for high-dimensional data
License: Common Public License
Group: Sciences/Mathematics
Url: http://ggobi.org
Packager: Alexander Myltsev <avm@altlinux.ru>

BuildRequires: libgtk+2-devel libxml2-devel libltdl-devel

Requires: libggobi = %version-%release

Source: %name-%version.tar

%description
GGobi is a visualization program for exploring high-dimensional data. It
provides highly dynamic and interactive graphics such as tours, as well as
familiar graphics such as the scatterplot, barchart and parallel coordinates
plots. Plots are interactive and linked with brushing and identification.

%package -n libggobi
Summary: core library for ggobi, a high-dimensional data visualizer
Group: System/Libraries

%description -n libggobi
GGobi is a visualization program for exploring high-dimensional data.
See the 'ggobi' package if you want to use it.

This package provides the core library for GGobi, the main GTK-based
interface, and RGGobi, the GNU R wrapping.

%package -n libggobi-devel
Summary: development files for libggobi, a data visualization library
Group: Development/C

Requires: libggobi = %version-%release, libgtk+2-devel, libxml2-devel

%description -n libggobi-devel
GGobi is a visualization program for exploring high-dimensional data.
See the 'ggobi' package if you want to use it.

This package provides development files for libggobi, the core of ggobi.

%prep
%setup

%build
aclocal
autoconf
%configure --with-all-plugins --without-included-ltdl
%make

%install
%make_install DESTDIR=%buildroot install

# ggobi installs plugins in /usr/share. How rude.
pushd %buildroot
mkdir -p ./%_libdir/%name
mv -v ./%_datadir/%name/plugins ./%_libdir/%name/
ln -svf $(relative %_libdir/%name/plugins %_datadir/%name/) \
	./%_datadir/%name/plugins
popd

%files
%_bindir/%name
%_datadir/%name/data
%_datadir/%name/share
%_datadir/applications/%name.desktop
%_pixmapsdir/%name.png

%files -n libggobi
%_libdir/lib%name.so.*
%dir %_libdir/%name
%_libdir/%name/plugins
%dir %_datadir/%name
%_datadir/%name/plugins

%files -n libggobi-devel
%_libdir/lib%name.so
%_includedir/%name
%_pkgconfigdir/%name.pc


%changelog
* Sun Nov 02 2008 Alexander Myltsev <avm@altlinux.ru> 2.1.8-alt1
- Initial build for Sisyphus.

